Bug 1019140 - [abrt] python-pip-1.3.1-4.fc19: pip-python:5:<module>:ImportError: No module named pkg_resources
[abrt] python-pip-1.3.1-4.fc19: pip-python:5:<module>:ImportError: No module ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-pip (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
abrt_hash:68c5b9295218924a5fc24ce6447...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 04:24 EDT by borisboc
Modified: 2015-02-17 12:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:41:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (461 bytes, text/plain)
2013-10-15 04:24 EDT, borisboc
no flags Details
File: environ (2.08 KB, text/plain)
2013-10-15 04:24 EDT, borisboc
no flags Details

  None (edit)
Description borisboc 2013-10-15 04:24:45 EDT
Description of problem:
Trying to install rospackage using python-pip command line :

sudo pip-python install -U wstool rosdep rosinstall rospkg catkin-pkg

Version-Release number of selected component:
python-pip-1.3.1-4.fc19

Additional info:
reporter:       libreport-2.1.8
cmdline:        /usr/bin/python /bin/pip-python install -U wstool rosdep rosinstall rospkg catkin-pkg
executable:     /bin/pip-python
kernel:         3.10.9-200.fc19.i686
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
pip-python:5:<module>:ImportError: No module named pkg_resources

Traceback (most recent call last):
  File "/bin/pip-python", line 5, in <module>
    from pkg_resources import load_entry_point
ImportError: No module named pkg_resources

Local variables in innermost frame:
__builtins__: <module '__builtin__' (built-in)>
__file__: '/bin/pip-python'
__package__: None
sys: <module 'sys' (built-in)>
__requires__: 'pip==1.3.1'
__name__: '__main__'
__doc__: None
Comment 1 borisboc 2013-10-15 04:24:50 EDT
Created attachment 812386 [details]
File: backtrace
Comment 2 borisboc 2013-10-15 04:24:55 EDT
Created attachment 812387 [details]
File: environ
Comment 3 Fedora Admin XMLRPC Client 2014-03-24 10:57:36 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Scott K Logan 2014-04-04 22:31:15 EDT
I believe that this is a problem that I have hit in Fedora 19 before. pip decides that it needs to update setuptools, and for some reason tries to install distribute (which was replaced by setuptools) and remove setuptools. This happens part of the way through the installation process, and suddenly pkg_resources.py is no longer present.

It does not happen in f20.

On a side note, if you are still having problems, please install those packages using yum:
sudo yum install python-wstool python-rosdep python-rosinstall python-rospkg python-catkin_pkg

This will solve YOUR problem, but still doesn't explain what pip is doing wrong...
Comment 5 Fedora End Of Life 2015-01-09 15:15:32 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 12:41:23 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.